Security Enhanced Linux Reference Policy

# Layer: services

## Module: nis

Interfaces

### Description:

Policy for NIS (YP) servers and clients

### Interfaces:

nis_admin( domain , role )

##### Summary

All of the rules required to administrate an nis environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

nis_authenticate( domain )

##### Summary

Use the nis to authenticate passwords

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_delete_ypbind_pid( domain )

##### Summary

Delete ypbind pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_domtrans_ypbind( domain )

##### Summary

Execute ypbind in the ypbind domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_domtrans_ypxfr( domain )

##### Summary

Execute ypxfr in the ypxfr domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_list_var_yp( domain )

##### Summary

List the contents of the NIS data directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

nis_read_ypbind_pid( domain )

##### Summary

Read ypbind pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_read_ypserv_config( domain )

##### Summary

Read ypserv configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_signal_ypbind( domain )

##### Summary

Send generic signals to ypbind.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

nis_tcp_connect_ypbind( domain )

##### Summary

Connect to ypbind over TCP. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nis_udp_send_ypbind( domain )

##### Summary

Send UDP network traffic to NIS clients. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

nis_use_ypbind( domain )

##### Summary

Use the ypbind service to access NIS services.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

nis_use_ypbind_uncond( domain )

##### Summary

Use the ypbind service to access NIS services unconditionally.

##### Description

Use the ypbind service to access NIS services unconditionally.

This interface was added because of apache and spamassassin, to fix a nested conditionals problem. When that support is added, this should be removed, and the regular interface should be used.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return